Package com.independentsoft.office.odf.fields

# Enum Class TemplateNameDisplayType

java.lang.Object
java.lang.Enum<TemplateNameDisplayType>
com.independentsoft.office.odf.fields.TemplateNameDisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateNameDisplayType>`, `Constable`

public enum TemplateNameDisplayType extends Enum<TemplateNameDisplayType>
Represents the information about a document template to display.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  The name of the directory where a template is found.
  `FULL`
  Full file name, extension and file path.
  `NAME`
  File name only.
  `NAME_AND_EXTENSION`
  File name and extension.
  `NONE`
  None.
  `PATH`
  File path only.
  `TITLE`
  The title.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TemplateNameDisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TemplateNameDisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final TemplateNameDisplayType FULL
    Full file name, extension and file path.

  - ### PATH

    public static final TemplateNameDisplayType PATH
    File path only.

  - ### NAME

    public static final TemplateNameDisplayType NAME
    File name only.

  - ### NAME_AND_EXTENSION

    public static final TemplateNameDisplayType NAME_AND_EXTENSION
    File name and extension.

  - ### AREA

    public static final TemplateNameDisplayType AREA
    The name of the directory where a template is found. The directory name may designate a class of templates.

  - ### TITLE

    public static final TemplateNameDisplayType TITLE
    The title.

  - ### NONE

    public static final TemplateNameDisplayType NONE
    None.

- ## Method Details

  - ### values

    public static TemplateNameDisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TemplateNameDisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null